%define module  logilab-common
%define subrel 1

Name:       python-%{module}
Summary:    Python modules used by Logilab software
Version:    0.60.0
Release:    %mkrel 3
Source0:    http://download.logilab.org/pub/common/%{module}-%{version}.tar.gz
Patch0:     CVE-2014-1838.patch
Patch1:     CVE-2014-1839.patch
License:    GPLv2+
Group:      Development/Python
Url:        http://www.logilab.org/
BuildArch:  noarch
BuildRequires:  python-setuptools

%description
This package contains a number of Python modules that provide low level
functionality used by various free software projects supported by Logilab.

%package -n python3-%{module}
Summary:    Python modules used by Logilab software
BuildRequires:  python3-setuptools

%description -n python3-%{module}
This package contains a number of Python modules that provide low level
functionality used by various free software projects supported by Logilab.

This is a version for Python 3.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1
%patch1 -p1

# py3K prep
rm -rf %{py3dir}
cp -a . %{py3dir}

%build
%{__python} setup.py build

# py3k build
pushd %{py3dir}
%{__python3} setup.py build
popd

%check
%{__python} setup.py test
pushd %{py3dir}
%{__python3} setup.py test
popd

%install
rm -rf %{buildroot}

# py3k install
pushd %{py3dir}
%{__python3} setup.py install -O1 --root %{buildroot}
rm -rf %{buildroot}%{python3_sitelib}/logilab/common/test
for FILE in %{buildroot}%{_bindir}/*; do
    NAME=$(basename $FILE)
    mv $FILE %{buildroot}%{_bindir}/python3-$NAME
done
popd

# python2
%{__python} setup.py install -O1 --root=%{buildroot}
rm -rf %{buildroot}%{python_sitelib}/logilab/common/test

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%_bindir/pytest
%{python_sitelib}/logilab*

%files -n python3-%{module}
%doc README COPYING ChangeLog
%_bindir/python3-pytest
%{python3_sitelib}/logilab*




%changelog
* Sat Mar 01 2014 philippem <philippem> 0.60.0-3.1.mga4
+ Revision: 598232
- apply upstream  patch to fix CVE-2014-1838 and CVE-2014-1839 mga#12905

* Tue Oct 22 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 543668
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.60.0-2.mga4
+ Revision: 498855
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 0.60.0-1.mga4
+ Revision: 490373
- new version 0.60.0
- add python3 package

* Sun Jan 13 2013 umeabot <umeabot> 0.58.3-2.mga3
+ Revision: 379059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 grenoya <grenoya> 0.58.3-1.mga3
+ Revision: 319851
-new version 0.58.3

* Mon Aug 20 2012 grenoya <grenoya> 0.58.2-1.mga3
+ Revision: 282664
- new version 0.58.2

* Fri Oct 28 2011 grenoya <grenoya> 0.57.1-1.mga2
+ Revision: 159240
- new version 0.57.1

* Sun Oct 23 2011 grenoya <grenoya> 0.57.0-1.mga2
+ Revision: 157501
- new version 0.57.0
- remove patch #0 corrected upstream

* Fri Sep 16 2011 grenoya <grenoya> 0.56.2-1.mga2
+ Revision: 144314
- upgrade to 0.56.2

* Wed Sep 07 2011 grenoya <grenoya> 0.56.0-3.mga2
+ Revision: 140815
- add patch to switch off unnecessary requirement on unittest2 with python > 2.7

* Wed Sep 07 2011 grenoya <grenoya> 0.56.0-2.mga2
+ Revision: 140713
- remove references to python 2.5
- remove .pyc files from rpm

* Wed Sep 07 2011 grenoya <grenoya> 0.56.0-1.mga2
+ Revision: 140569
- clean spec
- imported package python-logilab-common

